Interview Module
Permanently delete an interview module
Permanently deletes the interview module and all member training history in it. This action cannot be undone. Unknown and cross-organization module IDs return not found.
DELETE
/
v1
/
interview-modules
/
{moduleId}
Permanently delete an interview module
curl --request DELETE \
--url https://api.modernloop.io/v1/interview-modules/{moduleId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.modernloop.io/v1/interview-modules/{moduleId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.modernloop.io/v1/interview-modules/{moduleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "mod_a1b2c3d4e5f64789a1b2c3d4e5f64789",
"deleted": true
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "<string>",
"docs_url": "<string>",
"details": [
{}
]
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "<string>",
"docs_url": "<string>",
"details": [
{}
]
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "<string>",
"docs_url": "<string>",
"details": [
{}
]
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "<string>",
"docs_url": "<string>",
"details": [
{}
]
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "<string>",
"docs_url": "<string>",
"details": [
{}
]
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "<string>",
"docs_url": "<string>",
"details": [
{}
]
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "<string>",
"docs_url": "<string>",
"details": [
{}
]
}
}Authorizations
API tokens are passed as Bearer tokens.
Path Parameters
an interview module ID. Accepts the canonical prefixed compact UUID, a prefixed dashed UUID, a bare dashed UUID, or a bare compact UUID; input is case-insensitive.
Pattern:
^(?:mod_)?(?:[0-9a-fA-F]{32}|[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$Example:
"mod_a1b2c3d4e5f64789a1b2c3d4e5f64789"
Was this page helpful?
⌘I
Permanently delete an interview module
